## frei0r 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

project (frei0r)
set (VERSION 1.5.0)

option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
if (NOT WITHOUT_OPENCV)
  find_package (OpenCV)
endif ()

find_package (Cairo)

include(FindPkgConfig)
option (WITHOUT_GAVL "Disable plugins dependent upon gavl" OFF)
if (PKG_CONFIG_FOUND AND NOT WITHOUT_GAVL)
  pkg_check_modules(GAVL gavl)
endif ()

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(CMAKE_C_COMPILER "clang")
  set(CMAKE_CXX_COMPILER "clang++")
  set(CMAKE_C_FLAGS "-arch x86_64 -arch i386")
  set(CMAKE_CXX_FLAGS "-arch x86_64 -arch i386")
endif ()


include_directories (AFTER include)

if (MSVC)
  include_directories (include/msvc)
endif (MSVC)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif (NOT CMAKE_BUILD_TYPE)

set (LIBDIR lib/frei0r-1)
set (FREI0R_DEF ${CMAKE_SOURCE_DIR}/msvc/frei0r_1_0.def)
set (FREI0R_1_1_DEF ${CMAKE_SOURCE_DIR}/msvc/frei0r_1_1.def)

# --- custom targets: ---
INCLUDE( cmake/modules/TargetDistclean.cmake OPTIONAL)

# See this thread for a ridiculous discussion about the simple question how to install a header file with CMake: http://www.cmake.org/pipermail/cmake/2009-October/032874.html
install (DIRECTORY include DESTINATION . FILES_MATCHING PATTERN "frei0r.h" PATTERN "msvc" EXCLUDE)

add_subdirectory (doc)
add_subdirectory (src)

# Generate frei0r.pc and install it.
set (prefix "${CMAKE_INSTALL_PREFIX}")
set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
set (libdir "${CMAKE_INSTALL_PREFIX}/lib")
set (includedir "${CMAKE_INSTALL_PREFIX}/include")
configure_file ("frei0r.pc.in" "frei0r.pc" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/frei0r.pc" DESTINATION lib/pkgconfig)

=== src/filter/CMakeLists.txt ===
if (${GAVL_FOUND})
    add_subdirectory (rgbparade)
    add_subdirectory (scale0tilt)
    add_subdirectory (vectorscope)
endif (${GAVL_FOUND})

if (${OpenCV_FOUND})
    add_subdirectory (facebl0r)
    add_subdirectory (facedetect)
endif (${OpenCV_FOUND})

if (${Cairo_FOUND})
  add_subdirectory (cairoimagegrid)
  add_subdirectory (cairogradient)
endif (${Cairo_FOUND})

add_subdirectory (3dflippo)
add_subdirectory (alpha0ps)
add_subdirectory (balanc0r)
add_subdirectory (baltan)
add_subdirectory (bluescreen0r)
add_subdirectory (blur)
add_subdirectory (brightness)
add_subdirectory (bw0r)
add_subdirectory (cartoon)
add_subdirectory (cluster)
add_subdirectory (colgate)
add_subdirectory (coloradj)
add_subdirectory (colordistance)
add_subdirectory (colorize)
add_subdirectory (colorhalftone)
add_subdirectory (colortap)
add_subdirectory (contrast0r)
add_subdirectory (c0rners)
add_subdirectory (curves)
add_subdirectory (d90stairsteppingfix)
add_subdirectory (defish0r)
add_subdirectory (delay0r)
add_subdirectory (delaygrab)
add_subdirectory (denoise)
add_subdirectory (distort0r)
add_subdirectory (dither)
add_subdirectory (edgeglow)
add_subdirectory (emboss)
add_subdirectory (equaliz0r)
add_subdirectory (flippo)
add_subdirectory (gamma)
add_subdirectory (glow)
#add_subdirectory (host_param_test)
add_subdirectory (hueshift0r)
add_subdirectory (invert0r)
add_subdirectory (keyspillm0pup)
add_subdirectory (lenscorrection)
add_subdirectory (letterb0xed)
add_subdirectory (levels)
add_subdirectory (lightgraffiti)
add_subdirectory (luminance)
add_subdirectory (mask0mate)
add_subdirectory (medians)
if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  # clang 3.1 on OSX fails to compile this one
  add_subdirectory (measure)
endif ()
add_subdirectory (ndvi)
add_subdirectory (nervous)
add_subdirectory (nosync0r)
add_subdirectory (perspective)
add_subdirectory (pixeliz0r)
add_subdirectory (posterize)
add_subdirectory (primaries)
add_subdirectory (RGB)
add_subdirectory (rgbnoise)
add_subdirectory (saturat0r)
add_subdirectory (scanline0r)
add_subdirectory (select0r)
add_subdirectory (sharpness)
add_subdirectory (sigmoidaltransfer)
add_subdirectory (sobel)
add_subdirectory (softglow)
add_subdirectory (sopsat)
add_subdirectory (spillsupress)
add_subdirectory (squareblur)
add_subdirectory (tehroxx0r)
add_subdirectory (three_point_balance)
add_subdirectory (threelay0r)
add_subdirectory (threshold0r)
add_subdirectory (timeout)
add_subdirectory (tint0r)
add_subdirectory (transparency)
add_subdirectory (tutorial)
add_subdirectory (twolay0r)
add_subdirectory (vertigo)
add_subdirectory (vignette)

=== src/filter/curves/CMakeLists.txt ===
# Set C99 flag for gcc
if (CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "-std=c99")
endif (CMAKE_COMPILER_IS_GNUCC)

set (SOURCES curves.c)
set (TARGET curves)

if (MSVC)
  set_source_files_properties (curves.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/alphaout/CMakeLists.txt ===
set (SOURCES alphaout.cpp)
set (TARGET alphaout)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer3/RGB/CMakeLists.txt ===
set (SOURCES RGB.c)
set (TARGET RGB)

if (MSVC)
  set_source_files_properties (RGB.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0
    * Closes:  #841245
    * LP: #1550766

  [ IOhannes m zmölnig ]
  * Refreshed patches
    * Removed patches applied upstream
    * Added 'foreign' to automake options
    * Fixed doc-files in autotools
  * d/README.source
    * Added documentation on how to properly clone
  * d/control(.in)
    * Update Vcs-* stanzas to https://
    * Use continuation commas in multiline fields
    * Added Multi-Arch fields
    * Bumped standards-version to 3.9.8
    * Regenerated debian/control

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Oct 2016 23:48:55 +0200

=== debian/control ===
Source: frei0r
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/frei0r.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/frei0r.git
Homepage: http://frei0r.dyne.org/
Build-Depends: pkg-config,
 libgavl-dev,
 libcairo2-dev,
 libopencv-dev,
 cdbs,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 licensecheck
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8

Package: frei0r-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: opencv-data
Breaks: frei0r (<= 1.1.22)
Replaces: frei0r
Description: minimalistic plugin API for video effects, plugins collection
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains a collection of plugins.

Package: frei0r-plugins-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Breaks: frei0r-dev (<= 1.1.22)
Replaces: frei0r-dev
Description: minimalistic plugin API for video effects, header files
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the header needed to enable frei0r in other
 package at build time.

Package: frei0r-plugins-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: frei0r-doc (<= 1.1.22)
Replaces: frei0r-doc
Description: minimalistic plugin API for video effects, API documentation
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the API documentation.

## frei0r 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 project (frei0r)
-set (VERSION 1.5.0)
+set (VERSION 1.6.1)
 
 option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
 if (NOT WITHOUT_OPENCV)

=== doc/CMakeLists.txt ===
find_package(Doxygen)
if(DOXYGEN_FOUND)
# configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
add_custom_target(doc
${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
COMMENT "Generating API documentation with Doxygen" VERBATIM
)
endif(DOXYGEN_FOUND)

=== src/filter/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 add_subdirectory (balanc0r)
 add_subdirectory (baltan)
 add_subdirectory (bluescreen0r)
+add_subdirectory (bgsubtract0r)
 add_subdirectory (blur)
 add_subdirectory (brightness)
 add_subdirectory (bw0r)
@@ -46,6 +47,7 @@
 add_subdirectory (flippo)
 add_subdirectory (gamma)
 add_subdirectory (glow)
+add_subdirectory (glitch0r)
 #add_subdirectory (host_param_test)
 add_subdirectory (hueshift0r)
 add_subdirectory (invert0r)
@@ -70,6 +72,7 @@
 add_subdirectory (primaries)
 add_subdirectory (RGB)
 add_subdirectory (rgbnoise)
+add_subdirectory (rgbsplit0r)
 add_subdirectory (saturat0r)
 add_subdirectory (scanline0r)
 add_subdirectory (select0r)

=== src/mixer2/CMakeLists.txt ===
if (${Cairo_FOUND})
add_subdirectory (cairoaffineblend)
add_subdirectory (cairoblend)
endif (${Cairo_FOUND})

add_subdirectory (addition)
add_subdirectory (addition_alpha)
add_subdirectory (alphaatop)
add_subdirectory (alphain)
add_subdirectory (alphainjection)
add_subdirectory (alphaout)
add_subdirectory (alphaover)
add_subdirectory (alphaxor)
add_subdirectory (blend)
add_subdirectory (burn)
add_subdirectory (color_only)
add_subdirectory (composition)
add_subdirectory (darken)
add_subdirectory (difference)
add_subdirectory (divide)
add_subdirectory (dodge)
add_subdirectory (grain_extract)
add_subdirectory (grain_merge)
add_subdirectory (hardlight)
add_subdirectory (hue)
add_subdirectory (lighten)
add_subdirectory (multiply)
add_subdirectory (overlay)
add_subdirectory (saturation)
add_subdirectory (screen)
add_subdirectory (softlight)
add_subdirectory (subtract)
add_subdirectory (uvmap)
add_subdirectory (value)
add_subdirectory (xfade0r)

=== src/filter/brightness/CMakeLists.txt ===
set (SOURCES brightness.c)
set (TARGET brightness)

if (MSVC)
  set_source_files_properties (brightness.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cairoimagegrid/CMakeLists.txt ===
set (SOURCES cairoimagegrid.c)
set (TARGET cairoimagegrid)

include_directories(${Cairo_INCLUDE_DIR})
set(LIBS ${LIBS} ${Cairo_LIBRARY})

if (MSVC)
  set_source_files_properties (cairoimagegrid.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")
target_link_libraries(cairoimagegrid ${LIBS})

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/contrast0r/CMakeLists.txt ===
set (SOURCES contrast0r.c)
set (TARGET contrast0r)

if (MSVC)
  set_source_files_properties (contrast0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/denoise/CMakeLists.txt ===
set (SOURCES hqdn3d.c)
set (TARGET hqdn3d)

if (MSVC)
  set_source_files_properties (hqdn3d.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

link_libraries(m)
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/gamma/CMakeLists.txt ===
set (SOURCES gamma.c)
set (TARGET gamma)

if (MSVC)
  set_source_files_properties (gamma.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

link_libraries(m)
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/glitch0r/CMakeLists.txt ===
set (SOURCES glitch0r.c)
set (TARGET glitch0r)

if (MSVC)
  set_source_files_properties (glitch0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/mask0mate/CMakeLists.txt ===
set (SOURCES mask0mate.c)
set (TARGET mask0mate)

if (MSVC)
  set_source_files_properties (mask0mate.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/rgbsplit0r/CMakeLists.txt ===
set (SOURCES rgbsplit0r.c)
set (TARGET rgbsplit0r)

if (MSVC)
  set_source_files_properties (rgbsplit0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (1.6.1-2) unstable; urgency=medium

  * Switched from cdbs to dh-11
    * Added licensecheck target
  * Bumped standards version to 4.1.3
  * Rebuild (Closes: #881777)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jan 2018 14:21:17 +0100

frei0r (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

  * Dropped patches applied upstream.
  * Updated d/watch to scan for gpg signature.
    * Imported upstream's gpg signature

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Jun 2017 23:53:19 +0200

frei0r (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

  * Removed patches applied upstream.
  * Patch to force automake into 'foreign' mode
  * Updated d/copyright
  * Fixed import-orig clause in d/gbp.conf
  * Bumped debhelper compat to 10
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 12:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,21 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/frei0r.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/frei0r.git
 Homepage: http://frei0r.dyne.org/
-Build-Depends: pkg-config,
+Build-Depends:
+ debhelper (>= 11~),
+ dh-buildinfo,
+ pkg-config,
  libgavl-dev,
  libcairo2-dev,
  libopencv-dev,
- cdbs,
- autotools-dev,
- debhelper,
- dh-buildinfo,
- dh-autoreconf,
- licensecheck
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 
 Package: frei0r-plugins
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Suggests: opencv-data
 Breaks: frei0r (<= 1.1.22)
 Replaces: frei0r
@@ -43,7 +41,8 @@
 Section: devel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Breaks: frei0r-dev (<= 1.1.22)
 Replaces: frei0r-dev
 Description: minimalistic plugin API for video effects, header files
@@ -63,7 +62,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Breaks: frei0r-doc (<= 1.1.22)
 Replaces: frei0r-doc
 Description: minimalistic plugin API for video effects, API documentation

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib/

override_dh_auto_build-indep:
	dh_auto_build -i
	make -C doc/

override_dh_clean:
	dh_clean
	rm -rf doc/html/
	rm -f doc/Makefile

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Use uscan to check for newer upstream releases
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
   https://releases.dyne.org/frei0r/releases/.*-([\d+\.a-z]+|\d+).tar.gz

## frei0r 1.6.1+git20190222

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,6 @@
 if (PKG_CONFIG_FOUND AND NOT WITHOUT_GAVL)
   pkg_check_modules(GAVL gavl)
 endif ()
-
-if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-  set(CMAKE_C_COMPILER "clang")
-  set(CMAKE_CXX_COMPILER "clang++")
-  set(CMAKE_C_FLAGS "-arch x86_64 -arch i386")
-  set(CMAKE_CXX_FLAGS "-arch x86_64 -arch i386")
-endif ()
-
 
 include_directories (AFTER include)

=== debian/changelog ===
frei0r (1.6.1+git20190222-0.1~mx17+1) mx; urgency=medium

  * New pull from git, build for MX.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Apr 2019 13:35:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: frei0r
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/frei0r.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/frei0r.git
 Homepage: http://frei0r.dyne.org/
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 10),
  dh-buildinfo,
  pkg-config,
  libgavl-dev,

## frei0r 1.7.0

=== src/filter/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 add_subdirectory (distort0r)
 add_subdirectory (dither)
 add_subdirectory (edgeglow)
+add_subdirectory (elastic_scale)
 add_subdirectory (emboss)
 add_subdirectory (equaliz0r)
 add_subdirectory (flippo)
@@ -65,10 +66,12 @@
 endif ()
 add_subdirectory (ndvi)
 add_subdirectory (nervous)
+add_subdirectory (normaliz0r)
 add_subdirectory (nosync0r)
 add_subdirectory (perspective)
 add_subdirectory (pixeliz0r)
 add_subdirectory (posterize)
+add_subdirectory (premultiply)
 add_subdirectory (primaries)
 add_subdirectory (RGB)
 add_subdirectory (rgbnoise)

=== src/generator/CMakeLists.txt ===
add_subdirectory (dem0scene)
add_subdirectory (ising0r)
add_subdirectory (lissajous0r)
add_subdirectory (nois0r)
add_subdirectory (onecol0r)
add_subdirectory (partik0l)
if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  # clang 3.1 on OSX fails to compile this one
  add_subdirectory (test_pat)
endif ()

=== src/filter/RGB/CMakeLists.txt ===
set (R_SOURCES R.c)
set (G_SOURCES G.c)
set (B_SOURCES B.c)

if (MSVC)
  set_source_files_properties (R.c G.c B.c PROPERTIES LANGUAGE CXX)
  set (R_SOURCES ${R_SOURCES} ${FREI0R_DEF})
  set (G_SOURCES ${G_SOURCES} ${FREI0R_DEF})
  set (B_SOURCES ${B_SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (R MODULE ${R_SOURCES})
add_library (G MODULE ${G_SOURCES})
add_library (B MODULE ${B_SOURCES})

set_target_properties (R PROPERTIES PREFIX "")
set_target_properties (G PROPERTIES PREFIX "")
set_target_properties (B PROPERTIES PREFIX "")

install (TARGETS R LIBRARY DESTINATION ${LIBDIR})
install (TARGETS G LIBRARY DESTINATION ${LIBDIR})
install (TARGETS B LIBRARY DESTINATION ${LIBDIR})

=== src/filter/balanc0r/CMakeLists.txt ===
set (SOURCES balanc0r.c)
set (TARGET balanc0r)

if (MSVC)
  set_source_files_properties (balanc0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/bgsubtract0r/CMakeLists.txt ===
set (SOURCES bgsubtract0r.c)
set (TARGET bgsubtract0r)

if (MSVC)
  set_source_files_properties (bgsubtract0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cairogradient/CMakeLists.txt ===
set (SOURCES cairogradient.c)
set (TARGET cairogradient)

include_directories(${Cairo_INCLUDE_DIR})
set(LIBS ${LIBS} ${Cairo_LIBRARY})

if (MSVC)
  set_source_files_properties (cairogradient.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")
target_link_libraries(cairogradient ${LIBS})

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/cluster/CMakeLists.txt ===
set (SOURCES cluster.c)
set (TARGET cluster)

if (MSVC)
  set_source_files_properties (cluster.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/coloradj/CMakeLists.txt ===
set (SOURCES coloradj_RGB.c)
set (TARGET coloradj_RGB)

if (MSVC)
  set_source_files_properties (coloradj_RGB.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

link_libraries(m)
add_library (${TARGET} MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/colorhalftone/CMakeLists.txt ===
set (SOURCES colorhalftone.c)
set (TARGET colorhalftone)

if (MSVC)
  set_source_files_properties (colorhalftone.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/colortap/CMakeLists.txt ===
set (SOURCES colortap.c)
set (TARGET colortap)

if (MSVC)
  set_source_files_properties (colortap.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/distort0r/CMakeLists.txt ===
set (SOURCES distort0r.c)
set (TARGET distort0r)

if (MSVC)
  set_source_files_properties (distort0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/dither/CMakeLists.txt ===
set (SOURCES dither.c)
set (TARGET dither)

if (MSVC)
  set_source_files_properties (dither.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
    * Remove patches applied upstream
  * Temporarily drop B-D on libopencv (frei0r is not ready for OpenCV4)
    * Also drop Suggests on opencv-data
    * Related: #942560
  * Patch to fix data-files
  * Patch to fix spelling errors
  * Extend long description of frei0r-plugins-dev
  * Switched d/watch to https://files.dyne.org/
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump standards to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 29 Jan 2020 10:28:28 +0100

frei0r (1.6.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Install frei0r.pc in the correct place (Closes: #939945)
  * Add patch to allow compilation against OpenCV-3.4 (Closes: #915707)
  * Install upstream README and friends...
  * Bump dh-compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2019 14:16:37 +0200

frei0r (1.6.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * frei0r-plugins-dev
    * Install frei0r.hpp (Closes: #930391)
    * Make frei0r-plugins-dev arch:all
      * Install arch-independent pkg-config snippets into /usr/share/
  * frei0r-plugins-doc
    * Move html-documentation from /u/s/frei0r/ to /usr/share/doc/frei0r-plugin-dev/
  * Removed trailing whitespace from d/changelog
  * Drop obsolete d/source/local-options
  * Bump standards-version to 4.4.0
    * Don't require "root" powers for building the package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Jul 2019 14:49:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: frei0r
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/frei0r.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/frei0r.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/frei0r.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/frei0r
 Homepage: http://frei0r.dyne.org/
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-buildinfo,
  pkg-config,
  libgavl-dev,
  libcairo2-dev,
- libopencv-dev,
+# libopencv-dev,
 Build-Depends-Indep: doxygen
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: frei0r-plugins
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Suggests: opencv-data
+Suggests:
+# opencv-data,
 Breaks: frei0r (<= 1.1.22)
 Replaces: frei0r
 Description: minimalistic plugin API for video effects, plugins collection
@@ -40,8 +41,8 @@
 
 Package: frei0r-plugins-dev
 Section: devel
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Breaks: frei0r-dev (<= 1.1.22)
@@ -57,7 +58,7 @@
  Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
  .
  This package contains the header needed to enable frei0r in other
- package at build time.
+ packages at build time and to build your own frei0r plugins.
 
 Package: frei0r-plugins-doc
 Section: doc

=== debian/watch ===
# Use uscan to check for newer upstream releases
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
   https://files.dyne.org/frei0r/releases/.*-([\d+\.a-z]+|\d+).tar.gz

## frei0r 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required (VERSION 2.8)
+include(GNUInstallDirs)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 project (frei0r)
-set (VERSION 1.6.1)
+set (VERSION 1.8)
 
 option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
 if (NOT WITHOUT_OPENCV)
@@ -30,9 +31,9 @@
       FORCE)
 endif (NOT CMAKE_BUILD_TYPE)
 
-set (LIBDIR lib/frei0r-1)
-set (FREI0R_DEF ${CMAKE_SOURCE_DIR}/msvc/frei0r_1_0.def)
-set (FREI0R_1_1_DEF ${CMAKE_SOURCE_DIR}/msvc/frei0r_1_1.def)
+set (LIBDIR "${CMAKE_INSTALL_LIBDIR}/frei0r-1")
+set (FREI0R_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_0.def")
+set (FREI0R_1_1_DEF "${CMAKE_SOURCE_DIR}/msvc/frei0r_1_1.def")
 
 # --- custom targets: ---
 INCLUDE( cmake/modules/TargetDistclean.cmake OPTIONAL)
@@ -46,7 +47,7 @@
 # Generate frei0r.pc and install it.
 set (prefix "${CMAKE_INSTALL_PREFIX}")
 set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
-set (libdir "${CMAKE_INSTALL_PREFIX}/lib")
+set (libdir "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set (includedir "${CMAKE_INSTALL_PREFIX}/include")
 configure_file ("frei0r.pc.in" "frei0r.pc" @ONLY)
-install (FILES "${CMAKE_CURRENT_BINARY_DIR}/frei0r.pc" DESTINATION lib/pkgconfig)
+install (FILES "${CMAKE_CURRENT_BINARY_DIR}/frei0r.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== src/CMakeLists.txt ===
set (CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed")
link_libraries(m)
add_subdirectory (filter)
add_subdirectory (generator)
add_subdirectory (mixer2)
add_subdirectory (mixer3)

=== src/filter/3dflippo/CMakeLists.txt ===
set (SOURCES 3dflippo.c)
set (TARGET 3dflippo)

if (MSVC)
  set_source_files_properties (3dflippo.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/blur/CMakeLists.txt ===
set (SOURCES IIRblur.c fibe.h)
set (TARGET IIRblur)

if (MSVC)
  set_source_files_properties (IIRblur.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

link_libraries(m)
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/colgate/CMakeLists.txt ===
set (SOURCES colgate.c)
set (TARGET colgate)

if (MSVC)
  set_source_files_properties (colgate.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

link_libraries(m)
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/d90stairsteppingfix/CMakeLists.txt ===
set (SOURCES d90stairsteppingfix.cpp)
set (TARGET d90stairsteppingfix)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})

# No «lib» prefix (name.so instead of libname.so)
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/edgeglow/CMakeLists.txt ===
set (SOURCES edgeglow.cpp)
set (TARGET edgeglow)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/hueshift0r/CMakeLists.txt ===
set (SOURCES hueshift0r.c matrix.h)
set (TARGET hueshift0r)

if (MSVC)
  set_source_files_properties (hueshift0r.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

link_libraries(m)
add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/luminance/CMakeLists.txt ===
set (SOURCES luminance.c)
set (TARGET luminance)

if (MSVC)
  set_source_files_properties (luminance.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/measure/CMakeLists.txt ===
set (B_SOURCES pr0be.c measure.h font2.h)
set (F_SOURCES pr0file.c measure.h font2.h)

if (MSVC)
  set_source_files_properties (pr0be.c pr0file.c PROPERTIES LANGUAGE CXX)
  set (B_SOURCES ${B_SOURCES} ${FREI0R_DEF})
  set (F_SOURCES ${F_SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (pr0be  MODULE  ${B_SOURCES})
add_library (pr0file  MODULE  ${F_SOURCES})

set_target_properties (pr0be PROPERTIES PREFIX "")
set_target_properties (pr0file PROPERTIES PREFIX "")

install (TARGETS pr0be LIBRARY DESTINATION ${LIBDIR})
install (TARGETS pr0file LIBRARY DESTINATION ${LIBDIR})

=== src/filter/nosync0r/CMakeLists.txt ===
set (SOURCES nosync0r.cpp)
set (TARGET nosync0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/perspective/CMakeLists.txt ===
set (SOURCES perspective.c)
set (TARGET perspective)

if (MSVC)
  set_source_files_properties (perspective.c PROPERTIES LANGUAGE CXX)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (1.8.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Feb 2023 16:54:30 -0800

frei0r (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0 (Closes: #942560)
    * Drop patches applied upstream
  * Refresh patches
    * Don't attempt to install non-existant TODO.txt
  * Re-enable libopencv-dev
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Mar 2022 09:04:39 +0200

frei0r (1.7.0-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Bump d/watch version to 4
  * Bump dh-compat to 13
    * Install docs from d/tmp/ to keep dh>=13 happy
    * ChangeLog.txt need not be installed separatedly
  * Bump standards version to 4.6.0

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.6.1-3.
  * Use secure URI in Homepage field.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 09 Dec 2021 10:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,26 @@
 Source: frei0r
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>,
- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Vcs-Git: https://salsa.debian.org/multimedia-team/frei0r.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/frei0r
-Homepage: http://frei0r.dyne.org/
-Build-Depends:
- debhelper-compat (= 12),
- dh-buildinfo,
- pkg-config,
- libgavl-dev,
- libcairo2-dev,
-# libopencv-dev,
+Homepage: https://frei0r.dyne.org/
+Build-Depends: debhelper-compat (= 13),
+               dh-buildinfo,
+               libcairo2-dev,
+               libgavl-dev,
+               libopencv-dev,
+               pkg-config
 Build-Depends-Indep: doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: frei0r-plugins
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests:
-# opencv-data,
 Breaks: frei0r (<= 1.1.22)
 Replaces: frei0r
 Description: minimalistic plugin API for video effects, plugins collection
@@ -43,8 +39,7 @@
 Section: devel
 Architecture: all
 Multi-Arch: foreign
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Breaks: frei0r-dev (<= 1.1.22)
 Replaces: frei0r-dev
 Description: minimalistic plugin API for video effects, header files
@@ -64,8 +59,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Breaks: frei0r-doc (<= 1.1.22)
 Replaces: frei0r-doc
 Description: minimalistic plugin API for video effects, API documentation

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 	rm -rf doc/html/
 	rm -f doc/Makefile
 
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 licensecheck:
 	licensecheck --deb-machine -r * \
 		> debian/copyright_newhints

## frei0r 2.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required (VERSION 2.8)
-include(GNUInstallDirs)
+cmake_minimum_required (VERSION 3.1)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 project (frei0r)
 set (VERSION 1.8)
+
+include(GNUInstallDirs)
 
 option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
 if (NOT WITHOUT_OPENCV)
@@ -20,10 +21,6 @@
 endif ()
 
 include_directories (AFTER include)
-
-if (MSVC)
-  include_directories (include/msvc)
-endif (MSVC)
 
 if (NOT CMAKE_BUILD_TYPE)
   set (CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
@@ -41,7 +38,9 @@
 # See this thread for a ridiculous discussion about the simple question how to install a header file with CMake: http://www.cmake.org/pipermail/cmake/2009-October/032874.html
 install (DIRECTORY include DESTINATION . FILES_MATCHING PATTERN "frei0r.h" PATTERN "msvc" EXCLUDE)
 
-add_subdirectory (doc)
+# For code documentation run: doxygen doc/Doxyfile
+# add_subdirectory (doc)
+
 add_subdirectory (src)
 
 # Generate frei0r.pc and install it.

=== src/mixer2/CMakeLists.txt ===
--- 
+++ 
@@ -33,3 +33,4 @@
 add_subdirectory (uvmap)
 add_subdirectory (value)
 add_subdirectory (xfade0r)
+add_subdirectory (sleid0r)

=== src/filter/emboss/CMakeLists.txt ===
set (SOURCES emboss.c)
set (TARGET emboss)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/levels/CMakeLists.txt ===
# Set C99 flag for gcc
if (CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "-std=c99")
endif (CMAKE_COMPILER_IS_GNUCC)

set (SOURCES levels.c)
set (TARGET levels)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/luminance/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 set (TARGET luminance)
 
 if (MSVC)
-  set_source_files_properties (luminance.c PROPERTIES LANGUAGE CXX)
   set (SOURCES ${SOURCES} ${FREI0R_DEF})
 endif (MSVC)

=== src/filter/softglow/CMakeLists.txt ===
set (SOURCES softglow.c)
set (TARGET softglow)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/three_point_balance/CMakeLists.txt ===
# Set C99 flag for gcc
if (CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "-std=c99")
endif (CMAKE_COMPILER_IS_GNUCC)

set (SOURCES three_point_balance.c)
set (TARGET three_point_balance)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/filter/threshold0r/CMakeLists.txt ===
set (SOURCES threshold0r.c)
set (TARGET threshold0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/generator/lissajous0r/CMakeLists.txt ===
set (SOURCES lissajous0r.cpp)
set (TARGET lissajous0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/addition_alpha/CMakeLists.txt ===
set (SOURCES addition_alpha.cpp)
set (TARGET addition_alpha)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/cairoblend/CMakeLists.txt ===
set (SOURCES cairoblend.c)
set (TARGET cairoblend)

include_directories(${Cairo_INCLUDE_DIR})
set(LIBS ${LIBS} ${Cairo_LIBRARY})

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")
target_link_libraries(cairoblend ${LIBS})

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/composition/CMakeLists.txt ===
set (SOURCES composition.c)
set (TARGET composition)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== debian/changelog ===
frei0r (2.3.3-1build1) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:41:15 +0000

frei0r (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
    (Closes: #1076161)
  * Adjust to upstream's new buildsystem
    + Drop obsolete patches
    + Add patch to ensure that CFLAGS are honoured by Cmake
    + B-D on cmake
  * B-D on pkgconf rather than pkg-config
  * Add autopkgtest
  * Drop outdated d/README.source
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
    + Modernize 'licensecheck' target
  * Update d/watch to monitor github repository
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 11 Jan 2025 20:09:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_CMAKE_EXTRA_FLAGS =

DEB_CMAKE_EXTRA_FLAGS += \
	-DCMAKE_INSTALL_LIBDIR=lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_build-indep:
	dh_auto_build -i
	doxygen doc/Doxyfile

################ d/copyright helper ##############
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|src/.*\.jpg
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
